apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
  labels:
    app.kubernetes.io/instance: kubernetes-secret-generator
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: kubernetes-secret-generator
    app.kubernetes.io/version: v3.4.1
    helm.sh/chart: kubernetes-secret-generator-3.4.1
    name: kubernetes-secret-generator
  name: kubernetes-secret-generator
  namespace: kubernetes-secret-generator
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/instance: kubernetes-secret-generator
      app.kubernetes.io/name: kubernetes-secret-generator
      name: kubernetes-secret-generator
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app.kubernetes.io/instance: kubernetes-secret-generator
        app.kubernetes.io/name: kubernetes-secret-generator
        name: kubernetes-secret-generator
    spec:
      automountServiceAccountToken: null
      containers:
        - args: []
          env:
            - name: WATCH_NAMESPACE
              value: null
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: kubernetes-secret-generator
            - name: REGENERATE_INSECURE
              value: "false"
            - name: SECRET_LENGTH
              value: "40"
            - name: USE_METRICS_SERVICE
              value: "false"
          image: quay.io/mittwald/kubernetes-secret-generator:v3.4.1
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: healthcheck
            initialDelaySeconds: 6
            periodSeconds: 3
            successThreshold: 1
            timeoutSeconds: 1
          name: kubernetes-secret-generator
          ports:
            - containerPort: 8080
              name: healthcheck
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /readyz
              port: healthcheck
            initialDelaySeconds: 6
            periodSeconds: 3
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            limits:
              memory: 128Mi
            requests:
              cpu: 10m
              memory: 32Mi
          securityContext: {}
          volumeMounts: []
      securityContext: {}
      serviceAccountName: kubernetes-secret-generator
      volumes: []
